% This function compute the inverse STFT
% Input: X STFT coefficient
% Output: Synthesized signal in time domain
function x = ISTFT(X, xlen)

[M, N] = size(X); % number of frames, nSample of FFT(length of window)
nframes = M; wsize = 2*(N-1);
shift = floor(wsize/4);     % window moving forward step length

x = zeros(1,nframes*shift+wsize);
s = zeros(nframes, wsize);
for i = 1:nframes
    s0 = fsst(X(i,:));
    s(i,1:wsize) = s0(1:wsize);
    x((i-1)*shift+1:(i-1)*shift+wsize) = x((i-1)*shift+1:(i-1)*shift+wsize) + s(i,1:wsize);
end

%x = x(wsize+1:wsize+xlen)'/1.42; % cut off the first wsize samples
x = x(wsize+1:wsize+xlen)'*shift; % cut off the first wsize samples
