%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program initialize the popup menu 'sound' on the left panel
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function cons = initialize_popup_cons(handles, cur_exp, cur_talker, cur_vow)

global configs;

cons = configs.cons;

cur_sndlist = get_sndlist(cur_exp);
% find out which are the consonants available for the given talker and vowel
sndlist_out = query_sndlist( cur_sndlist, cur_talker, '', cur_vow);
cur_cons = unique(sort(sndlist_out.con));

for i=1:length(cons)
    if ~sum(strcmp(cur_cons, cons{i}))
        configs.con_yesno(i) = 0;
    else
        configs.con_yesno(i) = 1;
    end
end

for i=1:length(cons)
    if (~configs.con_yesno(i))
        cons{i} = ['- ' cons{i}]; % the talker does not exist 
    else
        cons{i} = ['+ ' cons{i}]; % the talker does exist for the consonant and vowel
    end
end

set(handles.popcons, 'String', cons); 
