% This script load the wav file.
function [s, fs] = load_wav(cur_wav_file, cur_wav_path)

global doc configs;

wav_fullpath = [cur_wav_path '/' cur_wav_file];

if exist(wav_fullpath) % flat dir structure, all wavs in the same dir
    [s, fs] = wavread(wav_fullpath);
else
    s = [];  fs = [];
    h = errordlg([cur_wav_file ' not found'],'File Error');
    uiwait(h);
end

doc.time_before = 0;
doc.time_after = 0;

% if the wav is too short than 2 seconds, pad zeros before and after s
cur_dur = length(s)/fs;

% the the wav file is longer than 3 seconds, cut it short
if length(s)>(configs.dur_max*fs);
    s = s(1:round((configs.dur_max*fs)));
end

if cur_dur<configs.wav_dur
    
    num_zeros = configs.wav_dur*fs - length(s);
    num_zeros_front = round(num_zeros/4);
    num_zeros_back = num_zeros - num_zeros_front;
    
    s_before = zeros(num_zeros_front, 1);
    s_after = zeros(num_zeros_back, 1); 
    
    s_before(1:0.002*fs) = 2*std(s);  % otherwise AI-gram will remove the padded zeros
    s_after(end-0.002*fs:end) = 2*std(s);
    
    s = [s_before; s; s_after];
    
    doc.time_before = length(s_before)/fs;
    doc.time_after = length(s_after)/fs;
    
end