function varargout = gain(varargin)
% GAIN M-file for gain.fig
%      GAIN, by itself, creates a new GAIN or raises the existing
%      singleton*.
%
%      H = GAIN returns the handle to a new GAIN or the handle to
%      the existing singleton*.
%
%      GAIN('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in GAIN.M with the given input arguments.
%
%      GAIN('Property','Value',...) creates a new GAIN or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before gain_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to gain_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help gain

% Last Modified by GUIDE v2.5 14-Jun-2007 15:28:00

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @gain_OpeningFcn, ...
                   'gui_OutputFcn',  @gain_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before gain is made visible.
function gain_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to gain (see VARARGIN)

% Choose default command line output for gain
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

whichmod = varargin(1);
set(hObject, 'UserData', whichmod);

% UIWAIT makes gain wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = gain_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in butOK.
function butOK_Callback(hObject, eventdata, handles)
% hObject    handle to butOK (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

global doc;

% retrieve gain and copy it to the global variable
gain = str2num(get(handles.editgain, 'String'));

whichmod = get(gcf, 'UserData');

if strcmp(whichmod, 'mod1')
    doc.mod1.regs{end+1}.gain = gain;
else
    doc.mod2.regs{end+1}.gain = gain;    
end

close(gcf)


% --- Executes on button press in butReset.
function butReset_Callback(hObject, eventdata, handles)
% hObject    handle to butReset (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

gain = 0;
set(handles.editgain,'String', num2str(gain));

set(handles.sliderGain,'min', 0);
set(handles.sliderGain,'max', 50);
set(handles.sliderGain,'sliderstep',[.01 .1]);
set(handles.sliderGain,'value', gain);

% --- Executes on slider movement.
function sliderGain_Callback(hObject, eventdata, handles)
% hObject    handle to sliderGain (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider

gain = get(hObject,'Value');
set(handles.editgain,'String', num2str(gain));


% --- Executes during object creation, after setting all properties.
function sliderGain_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderGain (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end

set(hObject,'min', 0);
set(hObject,'max', 50);
set(hObject,'sliderstep',[.01 .1]);
set(hObject,'value', 0);


function editgain_Callback(hObject, eventdata, handles)
% hObject    handle to editgain (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editgain as text
%        str2double(get(hObject,'String')) returns contents of editgain as a double


gain = str2num(get(hObject,'String'));

if isempty(gain)||(gain<0)||(gain>50)
    set(hObject, 'String', 0);
    errordlg(['Input must be a number between ' num2str(0) ...
             ' and ' num2str(50)],'Error');
else
    set(handles.sliderGain,'min', 0);
    set(handles.sliderGain,'max', 50);
    set(handles.sliderGain,'sliderstep',[.01 .1]);
    set(handles.sliderGain,'value', gain);
end


% --- Executes during object creation, after setting all properties.
function editgain_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editgain (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



% --- Executes on button press in butCancel.
function butCancel_Callback(hObject, eventdata, handles)
% hObject    handle to butCancel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

close(gcf)
