%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program initialize everything when the system starts 
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function initialize(handles)

global configs;

% initialize the popup menu boxes
exps = initialize_popup_exp(handles);
talkers = initialize_popup_talker(handles, configs.exp{configs.ini_stat.exp}, '', '');
cons = initialize_popup_cons(handles, configs.exp{configs.ini_stat.exp}, ...
                                      configs.talkers{configs.ini_stat.tlk}, '');
vowels = initialize_popup_vowels(handles, configs.exp{configs.ini_stat.exp}, ...
          configs.talkers{configs.ini_stat.tlk}, configs.cons{configs.ini_stat.con});

set(handles.popexp, 'Value', configs.ini_stat.exp);
set(handles.poptlk, 'Value', configs.ini_stat.tlk); 
set(handles.popcons, 'Value', configs.ini_stat.con);
set(handles.popvows, 'Value', configs.ini_stat.vow);

cur_exp = strtrim(configs.exp{get(handles.popexp, 'Value')}); % current experiment
cur_talker = strtrim(configs.talkers{get(handles.poptlk, 'Value')}); 
cur_con = strtrim(configs.cons{get(handles.popcons, 'Value')});
cur_vow = strtrim(configs.vowels{get(handles.popvows, 'Value')});
cur_sound = [cur_con cur_vow];
%cur_sound = strtrim(sound{get(handles.popsnd, 'Value')}); cur_sound = ...
%cur_sound(2:end-1);

% initialize the data behind the eventgram
initialize_doc(cur_exp, cur_talker, [cur_con cur_vow]);

% initialize the data and view for the two speech modification work benches
initialize_ui_control(handles);



