%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program plots the patch
% Input:  xy -- the vertex coordinates of the polygon
%         g - gain of the region
% Output:  h -- the handle to the patch
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-19
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function h = plot_patch(xy, g)

if g==0
    colorcode = [0 0 1]; % blue when gain = 0;
elseif (g>0)&&(g<=1)
    colorcode = [0 1 0]; % ? when gain between 0 and 1;
elseif (g>1)&&(g<=10)
    colorcode = [1 1 0]; % gree when gain between 1 and 10;
elseif (g>10)
    colorcode = [1 0 0]; % gree when gain between 1 and 10;
end
        
%JBA Changed from:
%h = patch(xy(1,:), xy(2,:), zeros(size(xy,2)), colorcode, 'FaceAlpha', 0.5, 'EdgeColor', [0 0.5 0]); 
%to:
h = patch(xy(1,:), xy(2,:), zeros(1,size(xy,2)), colorcode, 'FaceAlpha', 0.5, 'EdgeColor', [0 0.5 0]); 

%h = patch(xy(1,:), xy(2,:), zeros(size(xy,2)), colorcode, 'EdgeColor', [0 0.5 0]); 

set(h, 'Clipping', 'on');
