%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program is used to create MN16R_SndList.mat, which contains a list 
% all the utterances appeared in this experiment.
%   Author:      Feipeng Li at HSR, Beckman Institute, UIUC
%   Time-stamp:  2006-11-07
%   E-mail:      fli2@uiuc.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function create_MN64_SndList()

if exist('MN64.mat')
    load MN64.mat;
else
    pullNHdata('mn64data.zip');
    load MN64.mat;
end

Talker_Stim = strrep(Talker_Stim, 'xd', 'D');
Talker_Stim = strrep(Talker_Stim, 'xt', 'T');
Talker_Stim = strrep(Talker_Stim, 'xs', 'S');
Talker_Stim = strrep(Talker_Stim, 'xz', 'Z');

for i=1:length(Talker_Stim)
    Talker{i} = Talker_Stim{i}(1:4);
    Consonant{i} = Talker_Stim{i}(6);
    Vowel{i} = Talker_Stim{i}(7:end);
end

Consonant = strrep(Consonant, 'D', 'xd');
Consonant = strrep(Consonant, 'T', 'xt');
Consonant = strrep(Consonant, 'S', 'xs');
Consonant = strrep(Consonant, 'Z', 'xz');

MN64_SndList.tlk = Talker;
MN64_SndList.con = Consonant;
MN64_SndList.vow = Vowel;

save('MN64_SndList.mat', 'MN64_SndList');